summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcat-10
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-03-10 18:13:28 +0900
committerDaiki Ueno <ueno@gnu.org>2014-03-10 18:24:15 +0900
commitd66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch)
treec4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/msgcat-10
parent0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff)
downloadexternal_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since 'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/msgcat-10')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msgcat-1014
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/msgcat-10 b/gettext-tools/tests/msgcat-10
index d501a77..624d8c3 100755..100644
--- a/gettext-tools/tests/msgcat-10
+++ b/gettext-tools/tests/msgcat-10
@@ -7,10 +7,6 @@
# translator attention; in other words, an msgstr which is valid in both input
# files is also valid in the result.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles mcat-test10.in1 mcat-test10.in2"
cat <<\EOF > mcat-test10.in1
# German message file for xyz.
# Copyright (C) 1999, 2000, 2001 xyz.
@@ -60,17 +56,13 @@ msgstr ""
"Glückwunsch!"
EOF
-tmpfiles="$tmpfiles mcat-test10.tmp mcat-test10.out"
rm -f mcat-test10.tmp
: ${MSGCAT=msgcat}
${MSGCAT} --more-than=0 -o mcat-test10.tmp \
- mcat-test10.in1 mcat-test10.in2
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < mcat-test10.tmp > mcat-test10.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ mcat-test10.in1 mcat-test10.in2 || exit 1
+LC_ALL=C tr -d '\r' < mcat-test10.tmp > mcat-test10.out || exit 1
-tmpfiles="$tmpfiles mcat-test10.ok"
cat <<\EOF > mcat-test10.ok
# #-#-#-#-# mcat-test10.in1 (xyz) #-#-#-#-#
# German message file for xyz.
@@ -104,6 +96,4 @@ EOF
${DIFF} mcat-test10.ok mcat-test10.out
result=$?
-rm -fr $tmpfiles
-
exit $result